Bug 895132 - Modifications using sss_usermod tool are not reflected in memory cache
Modifications using sss_usermod tool are not reflected in memory cache
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
: 902269 (view as bug list)
Depends On:
Blocks: 902691
  Show dependency treegraph
 
Reported: 2013-01-14 11:40 EST by Kaushik Banerjee
Modified: 2013-02-21 04:43 EST (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.9.2-76.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:43:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushik Banerjee 2013-01-14 11:40:26 EST
Description of problem:
Modifications using sss_usermod tool are not reflected in memory cache

Version-Release number of selected component (if applicable):
1.9.2-68

How reproducible:
Always

Steps to Reproduce:
1. Lookup a local user
# getent passwd kaulocal
kaulocal:x:500:500:Kaushik Banerjee:/home/kaulocal:/bin/bash

2. Modify the shell of the user
# sss_usermod -s /bin/ksh kaulocal

3. Lookup the user again
# getent passwd kaulocal
kaulocal:x:500:500:Kaushik Banerjee:/home/kaulocal:/bin/bash

4. Check if the ldb cache is updated
# ldbsearch -H /var/lib/sss/db/sssd.ldb name=kaulocal loginshell
asq: Unable to register control with rootdse!
# record 1
dn: name=kaulocal,cn=users,cn=LOCAL,cn=sysdb
loginShell: /bin/ksh

  
Actual results:
Since ldb cache is updated, the changes have not been updated in the memory cache.

Expected results:
Changes via sss_usermod should be propogated to memory cache also.

Additional info:
Comment 3 Jakub Hrozek 2013-01-14 15:17:31 EST
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1764
Comment 4 Jakub Hrozek 2013-01-15 14:39:45 EST
Pushed upstream.
Comment 6 Kaushik Banerjee 2013-01-20 10:14:42 EST
Verified in version 1.9.2-74

Report from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: SSSD local-local test 003 >>> Modify LOCAL User - Default Shell
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'sss_usermod -s /bin/ksh user1000'
:: [   PASS   ] :: Running 'getent -s sss passwd user1000'
:: [   PASS   ] :: LOCAL domain user1000 default shell modified successfully.
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: SSSD local-local test 003 >>> Modify LOCAL User - Default Shell

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: SSSD local-local test 004 >>> Modify LOCAL User - Home Directory
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'sss_usermod -h /export/user1000 user1000'
:: [   PASS   ] :: LOCAL domain user1000 home directory modified successfully.
:: [   PASS   ] :: Running 'sss_usermod -h /home/user1000 user1000'
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: SSSD local-local test 004 >>> Modify LOCAL User - Home Directory

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: SSSD local-local test 005 >>> Modify LOCAL User - Gecos
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'sss_usermod -c "User Thousand" user1000'
:: [   PASS   ] :: LOCAL domain user1000 gecos modified successfully.
:: [   LOG    ] :: Duration: 0s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: SSSD local-local test 005 >>> Modify LOCAL User - Gecos
Comment 7 Kaushik Banerjee 2013-01-21 05:32:21 EST
It seems, the fix to this bug was not complete. Hence the issue is as seen in bug 902269

Re-opening bug. Tested in version 1.9.2-74
Comment 8 Kaushik Banerjee 2013-01-21 05:33:57 EST
*** Bug 902269 has been marked as a duplicate of this bug. ***
Comment 10 Kaushik Banerjee 2013-01-24 08:32:09 EST
Verified in version 1.9.2-82

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: SSSD local-local test 069 >>> Nested Group Memberships
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'sss_groupadd parent'
:: [   PASS   ] :: Running 'sss_groupadd child'
:: [   PASS   ] :: Running 'sss_groupmod -a parent child'
:: [   PASS   ] :: Running 'sss_useradd user1'
:: [   PASS   ] :: Running 'sss_useradd user2'
:: [   PASS   ] :: Running 'sss_usermod -a parent user1'
:: [   PASS   ] :: Running 'sss_usermod -a child user2'
:: [07:43:49] ::  Checking parent group for users memberships
:: [   PASS   ] :: Parent group's user memberships are as expected.
:: [07:43:49] ::  Checking child group for users memberships
:: [   PASS   ] :: Child group's user memberships are as expected.
'0336c4ea-aaaa-4dd0-ad77-c594fdd0e6a4'
SSSD-local-local-test-069-Nested-Group-Memberships result: PASS
Comment 11 errata-xmlrpc 2013-02-21 04:43:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.